summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-05-22 00:06:25 +0100
committerV3n3RiX <venerix@koprulu.sector>2024-05-22 00:06:25 +0100
commit236e75597883501f8700d9ba1a5c8276f578a17f (patch)
tree6b441a1dfa3a82840e3aa74678cc90c5294a4bca /eclass
parentbfd63d5b0e96ad32e0d0a8fe15512b6a9ac6fc9e (diff)
gentoo auto-resync : 22:05:2024 - 00:06:25next
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin39576 -> 39578 bytes
-rw-r--r--eclass/texlive-module.eclass10
2 files changed, 7 insertions, 3 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 495d2358ba33..abc69c379ef9 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 0daca41961ff..d7ec59c25a8a 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -538,9 +538,13 @@ texlive-module_src_install() {
ebegin "Installing man pages"
find texmf-dist/doc/man -type f -name '*.[0-9n]' -print |
grep -v "${grep_expressions[@]}" |
- xargs -d '\n' --no-run-if-empty doman
- [[ "${PIPESTATUS[*]}" =~ ^0(" 0")*$ ]]
- eend $? || die "error installing man pages"
+ xargs -d '\n' --no-run-if-empty nonfatal doman
+ local pipestatus="${PIPESTATUS[*]}"
+ # The grep in the middle of the pipe may return 1 in case
+ # everything from the input is dropped.
+ # See https://bugs.gentoo.org/931994
+ [[ ${pipestatus} == "0 "[01]" 0" ]]
+ eend $? || die "error installing man pages (pipestatus: ${pipestatus})"
# Delete all man pages under texmf-dist/doc/man
find texmf-dist/doc/man -type f -name '*.[0-9n]' -delete ||